From 8c51d31676b8a5b9ee17ab3a04be142076f2a48f Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Tue, 19 Dec 2023 16:05:54 +0100
Subject: [PATCH 1/2] meson: Require sed only when needed

sed is required only if dtrace or selinux is enabled.  Otherwise, we
don't need it.  This avoids making sed a hard requirement on Windows.
---
 meson.build | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index d3771690f0..b8c7ed8bf2 100644
--- a/meson.build
+++ b/meson.build
@@ -331,7 +331,8 @@ perl = find_program(get_option('PERL'), required: true, native: true)
 python = find_program(get_option('PYTHON'), required: true, native: true)
 flex = find_program(get_option('FLEX'), native: true, version: '>= 2.5.35')
 bison = find_program(get_option('BISON'), native: true, version: '>= 2.3')
-sed = find_program(get_option('SED'), 'sed', native: true)
+sed = find_program(get_option('SED'), 'sed', native: true,
+                   required: get_option('dtrace').enabled() or get_option('selinux').enabled())
 prove = find_program(get_option('PROVE'), native: true, required: false)
 tar = find_program(get_option('TAR'), native: true)
 gzip = find_program(get_option('GZIP'), native: true)
-- 
2.43.0

